Package org.bukkit.material

# Class Rails

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Rails

All Implemented Interfaces:
  `Cloneable`

Direct Known Subclasses:
  `ExtendedRails`

@Deprecated public class Rails extends MaterialData
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents minecart rails.

## Constructor Summary

Constructors
Constructor
Description
`Rails()`
Deprecated.
`Rails(Material type)`
Deprecated.
`Rails(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Rails`
`clone()`
Deprecated.
`protected byte`
`getConvertedData()`
Deprecated.
Magic value
`BlockFace`
`getDirection()`
Deprecated.
`boolean`
`isCurve()`
Deprecated.
`boolean`
`isOnSlope()`
Deprecated.
`void`
`setDirection(BlockFace face, boolean isOnSlope)`
Deprecated.
Set the direction of these tracks
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Rails

public Rails()
Deprecated.

### Rails

public Rails(Material type)
Deprecated.

### Rails

@Deprecated public Rails(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isOnSlope

public boolean isOnSlope()
Deprecated.

Returns:
  the whether this track is set on a slope

### isCurve

public boolean isCurve()
Deprecated.

Returns:
  the whether this track is set as a curve

### getDirection

public BlockFace getDirection()
Deprecated.

Returns:
  the direction these tracks are set

  Note that tracks are bidirectional and that the direction returned is the ascending direction if the track is set on a slope. If it is set as a curve, the corner of the track is returned.

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### getConvertedData

@Deprecated protected byte getConvertedData()
Deprecated.
Magic value
Return the data without the extended properties used by `PoweredRail` and `DetectorRail`. Overridden in `ExtendedRails`

Returns:
  the data without the extended part

### setDirection

public void setDirection(BlockFace face, boolean isOnSlope)
Deprecated.
Set the direction of these tracks

Note that tracks are bidirectional and that the direction returned is the ascending direction if the track is set on a slope. If it is set as a curve, the corner of the track should be supplied.

Parameters:
  `face` - the direction the track should be facing
  `isOnSlope` - whether or not the track should be on a slope

### clone

public Rails clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`